| libmp3splt 0.9.2 Lossless library for splitting audio formats like mp3, ogg vorbis and FLAC. |

Functions
Split functions
Using libmp3splt

## Functions
splt_code | mp3splt_split (splt_state *state)
splt_code | mp3splt_stop_split (splt_state *state)
char ** | mp3splt_find_filenames (splt_state *state, const char *filename, int *num_of_files_found, splt_code *error)

## Detailed Description

## Function Documentation

splt_code mp3splt_split | ( | splt_state * | state | ) |

Executes the main split process.

Parameters

  [in] | state | Main state.

Returns
  Possible error.

See also
  mp3splt_stop_split
  mp3splt_new_state
  mp3splt_set_filename_to_split
  splt_options
  mp3splt_set_path_of_split

Examples:
  minimal.c.

splt_code mp3splt_stop_split | ( | splt_state * | state | ) |

Stop the main split process.

Parameters

  [in] | state | Main state.

Returns
  Possible error.

See also
  mp3splt_split

char** mp3splt_find_filenames | ( | splt_state * | state,
|  | const char * | filename,
|  | int * | num_of_files_found,
|  | splt_code * | error
| ) |  |

Recursive search of all the filenames matching the loaded plugins.

Parameters

  [in] | state | Main state.
  [in] | filename | Directory to be looked for recursive search.
  [out] | num_of_files_found | Number of files found.
  [out] | error | Possible error; can be NULL.

Returns
  Newly allocated array of found files that must be freed.

See also
  mp3splt_set_filename_to_split and mp3splt_split